ChiliProject - Bug # 728: An error occured while installing pg (0.9.0), and Bundler cannot continue.

Status: Closed Priority: High
Author: kiran patil Category:
Created: 2011-11-23 Assignee:
Updated: 2011-11-30 Due date:

Remote issue URL:
Affected version:
Description: System Information:
ubuntu@agtt-ubuntu:~/chiliproject$ ruby -v
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-linux]

ubuntu@agtt-ubuntu:~/chiliproject$ uname -a
Linux gtt-ubuntu 2.6.32-32-generic #62-Ubuntu SMP Wed Apr 20 21:52:38 UTC 2011 x86_64 GNU/Linux

The executed command which results in error:

ubuntu@agtt-ubuntu:~/chiliproject$ bundle install
Fetching source index for http://rubygems.org/
Installing rake (0.9.2.2)

Installing activesupport (2.3.14)

Installing rack (1.1.2)

Installing actionpack (2.3.14)

Installing actionmailer (2.3.14)

Installing activerecord (2.3.14)

Installing activeresource (2.3.14)

Installing archive-tar-minitar (0.5.2)

Installing coderay (0.9.8)

Installing columnize (0.3.4)

Installing edavis10-object_daddy (0.4.3)
Installing i18n (0.4.2)

Installing json (1.6.1) with native extensions
Installing ruby_core_source (0.1.5)

Installing linecache19 (0.5.12) with native extensions
Installing metaclass (0.0.1)

Installing mocha (0.10.0)

Installing mysql2 (0.2.17) with native extensions
Installing pg (0.9.0) with native extensions
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

/home/ubuntu/.rvm/rubies/ruby-1.9.2-p290/bin/ruby extconf.rb
checking for pg_config... no
checking for libpg-fe.h... no
Can't find the 'libpg-fe.h header
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of
necessary libraries and/or headers. Check the mkmf.log file for more
details. You may need configuration options.

Provided configuration options:

0 --with-opt-dir
0 --without-opt-dir
0 --with-opt-include

0 --without-opt-include=${opt-dir}/include
0 --with-opt-lib

0 --without-opt-lib=${opt-dir}/lib

0 --with-make-prog

0 --without-make-prog

0--srcdir=.

0 --curdir

0 --ruby=/home/ubuntu/.rvm/rubies/ruby-1.9.2-p290/bin/ruby
0 --with-pg

0 --without-pg

0 --with-pg-config

0 --without-pg-config

0 --with-pg-dir

0 --without-pg-dir

0 --with-pg-include

0 --without-pg-include=${pg-dir}/include
0 --with-pg-lib

0 --without-pg-lib=${pg-dir}/lib

0 --enable-static-build

0 --disable-static-build

Gem files will remain installed in /home/ubuntu/.rvm/gems/ruby-1.9.2-p290/gems/pg-0.9.0 for inspection.
Results logged to /home/ubuntu/.rvm/gems/ruby-1.9.2-p290/gems/pg-0.9.0/ext/gem_make.out

An error occured while installing pg (0.9.0), and Bundler cannot continue.

Make sure that "gem install pg -v '0.9.0" succeeds before bundling.

History

2011-11-23 05:30 am - kiran patil

- Status changed from Open to Closed

The following command installed the libpg and pg (0.9.0) installed.

sudo apt-get install libpg-dev

2011-11-30 05:14 pm - Felix Schéafer
- Target version deleted (2.5.0)
